use wasm_bindgen::prelude::*;

#[wasm_bindgen(getter_with_clone)] // Either do this or make text private and implement getter and setter (String!)
#[derive(Clone, Copy)]
pub struct GameState {
    pub x: f64,
    pub y: f64,
    pub a: f64,
    pub width: u32,
    pub height: u32,
    pub scale: f64,
}

#[wasm_bindgen]
impl GameObject {
    pub fn new() -> GameObject {
        GameObject {
            x: 0.,
            y: 0.,
            a: 0.,
            width: 0,
            height: 0,
            scale: 0.,
        }
    }
}

